com.amazonaws.services.lambda.model

## Class CreateFunctionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.CreateFunctionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateFunctionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateFunctionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateFunctionRequest` `clone()`
`boolean` `equals(Object obj)`
`FunctionCode` `getCode()` The code for the Lambda function.
`DeadLetterConfig` `getDeadLetterConfig()` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`String` `getDescription()` A short, user-defined function description.
`Environment` `getEnvironment()`
`String` `getFunctionName()` The name you want to assign to the function you are uploading.
`String` `getHandler()` The function within your code that Lambda calls to begin execution.
`String` `getKMSKeyArn()` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`Integer` `getMemorySize()` The amount of memory, in MB, your Lambda function is given.
`Boolean` `getPublish()` This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.
`String` `getRole()` The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.
`String` `getRuntime()` The runtime environment for the Lambda function you are uploading.
`Integer` `getTimeout()` The function execution time at which Lambda should terminate the function.
`VpcConfig` `getVpcConfig()` If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs.
`int` `hashCode()`
`Boolean` `isPublish()` This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.
`void` `setCode(FunctionCode code)` The code for the Lambda function.
`void` `setDeadLetterConfig(DeadLetterConfig deadLetterConfig)` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`void` `setDescription(String description)` A short, user-defined function description.
`void` `setEnvironment(Environment environment)`
`void` `setFunctionName(String functionName)` The name you want to assign to the function you are uploading.
`void` `setHandler(String handler)` The function within your code that Lambda calls to begin execution.
`void` `setKMSKeyArn(String kMSKeyArn)` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`void` `setMemorySize(Integer memorySize)` The amount of memory, in MB, your Lambda function is given.
`void` `setPublish(Boolean publish)` This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.
`void` `setRole(String role)` The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.
`void` `setRuntime(Runtime runtime)` The runtime environment for the Lambda function you are uploading.
`void` `setRuntime(String runtime)` The runtime environment for the Lambda function you are uploading.
`void` `setTimeout(Integer timeout)` The function execution time at which Lambda should terminate the function.
`void` `setVpcConfig(VpcConfig vpcConfig)` If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateFunctionRequest` `withCode(FunctionCode code)` The code for the Lambda function.
`CreateFunctionRequest` `withDeadLetterConfig(DeadLetterConfig deadLetterConfig)` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`CreateFunctionRequest` `withDescription(String description)` A short, user-defined function description.
`CreateFunctionRequest` `withEnvironment(Environment environment)`
`CreateFunctionRequest` `withFunctionName(String functionName)` The name you want to assign to the function you are uploading.
`CreateFunctionRequest` `withHandler(String handler)` The function within your code that Lambda calls to begin execution.
`CreateFunctionRequest` `withKMSKeyArn(String kMSKeyArn)` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`CreateFunctionRequest` `withMemorySize(Integer memorySize)` The amount of memory, in MB, your Lambda function is given.
`CreateFunctionRequest` `withPublish(Boolean publish)` This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.
`CreateFunctionRequest` `withRole(String role)` The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.
`CreateFunctionRequest` `withRuntime(Runtime runtime)` The runtime environment for the Lambda function you are uploading.
`CreateFunctionRequest` `withRuntime(String runtime)` The runtime environment for the Lambda function you are uploading.
`CreateFunctionRequest` `withTimeout(Integer timeout)` The function execution time at which Lambda should terminate the function.
`CreateFunctionRequest` `withVpcConfig(VpcConfig vpcConfig)` If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateFunctionRequest

    public CreateFunctionRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The name you want to assign to the function you are uploading. The function names appear in the console and are returned in the ListFunctions API. Function names are used to specify functions to other AWS Lambda APIs, such as Invoke.

Parameters:
  `functionName` - The name you want to assign to the function you are uploading. The function names appear in the console and are returned in the ListFunctions API. Function names are used to specify functions to other AWS Lambda APIs, such as Invoke.

#### getFunctionName

    public String getFunctionName()

The name you want to assign to the function you are uploading. The function names appear in the console and are returned in the ListFunctions API. Function names are used to specify functions to other AWS Lambda APIs, such as Invoke.

Returns:
  The name you want to assign to the function you are uploading. The function names appear in the console and are returned in the ListFunctions API. Function names are used to specify functions to other AWS Lambda APIs, such as Invoke.

#### withFunctionName

    public CreateFunctionRequest withFunctionName(String functionName)

The name you want to assign to the function you are uploading. The function names appear in the console and are returned in the ListFunctions API. Function names are used to specify functions to other AWS Lambda APIs, such as Invoke.

Parameters:
  `functionName` - The name you want to assign to the function you are uploading. The function names appear in the console and are returned in the ListFunctions API. Function names are used to specify functions to other AWS Lambda APIs, such as Invoke.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRuntime

    public void setRuntime(String runtime)

The runtime environment for the Lambda function you are uploading.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function you are uploading.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

See Also:
  `Runtime`

#### getRuntime

    public String getRuntime()

The runtime environment for the Lambda function you are uploading.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

</note>

Returns:
  The runtime environment for the Lambda function you are uploading.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

See Also:
  `Runtime`

#### withRuntime

    public CreateFunctionRequest withRuntime(String runtime)

The runtime environment for the Lambda function you are uploading.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function you are uploading.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Runtime`

#### setRuntime

    public void setRuntime(Runtime runtime)

The runtime environment for the Lambda function you are uploading.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function you are uploading.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

See Also:
  `Runtime`

#### withRuntime

    public CreateFunctionRequest withRuntime(Runtime runtime)

The runtime environment for the Lambda function you are uploading.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

<note>

You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

</note>

Parameters:
  `runtime` - The runtime environment for the Lambda function you are uploading.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

  <note>

  You can no longer create functions using the v0.10.42 runtime version as of November, 2016. Existing functions will be supported until early 2017 but we recommend you migrate them to nodejs4.3 runtime version as soon as possible.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Runtime`

#### setRole

    public void setRole(String role)

The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. For more information, see AWS Lambda: How it Works.

Parameters:
  `role` - The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. For more information, see AWS Lambda: How it Works.

#### getRole

    public String getRole()

The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. For more information, see AWS Lambda: How it Works.

Returns:
  The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. For more information, see AWS Lambda: How it Works.

#### withRole

    public CreateFunctionRequest withRole(String role)

The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. For more information, see AWS Lambda: How it Works.

Parameters:
  `role` - The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources. For more information, see AWS Lambda: How it Works.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHandler

    public void setHandler(String handler)

The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be `package.class-name::handler` or `package.class-name`. For more information, see Lambda Function Handler (Java).

Parameters:
  `handler` - The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be `package.class-name::handler` or `package.class-name`. For more information, see Lambda Function Handler (Java).

#### getHandler

    public String getHandler()

The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be `package.class-name::handler` or `package.class-name`. For more information, see Lambda Function Handler (Java).

Returns:
  The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be `package.class-name::handler` or `package.class-name`. For more information, see Lambda Function Handler (Java).

#### withHandler

    public CreateFunctionRequest withHandler(String handler)

The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be `package.class-name::handler` or `package.class-name`. For more information, see Lambda Function Handler (Java).

Parameters:
  `handler` - The function within your code that Lambda calls to begin execution. For Node.js, it is the module-name.export value in your function. For Java, it can be `package.class-name::handler` or `package.class-name`. For more information, see Lambda Function Handler (Java).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCode

    public void setCode(FunctionCode code)

The code for the Lambda function.

Parameters:
  `code` - The code for the Lambda function.

#### getCode

    public FunctionCode getCode()

The code for the Lambda function.

Returns:
  The code for the Lambda function.

#### withCode

    public CreateFunctionRequest withCode(FunctionCode code)

The code for the Lambda function.

Parameters:
  `code` - The code for the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A short, user-defined function description. Lambda does not use this value. Assign a meaningful description as you see fit.

Parameters:
  `description` - A short, user-defined function description. Lambda does not use this value. Assign a meaningful description as you see fit.

#### getDescription

    public String getDescription()

A short, user-defined function description. Lambda does not use this value. Assign a meaningful description as you see fit.

Returns:
  A short, user-defined function description. Lambda does not use this value. Assign a meaningful description as you see fit.

#### withDescription

    public CreateFunctionRequest withDescription(String description)

A short, user-defined function description. Lambda does not use this value. Assign a meaningful description as you see fit.

Parameters:
  `description` - A short, user-defined function description. Lambda does not use this value. Assign a meaningful description as you see fit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeout

    public void setTimeout(Integer timeout)

The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Parameters:
  `timeout` - The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

#### getTimeout

    public Integer getTimeout()

The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Returns:
  The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

#### withTimeout

    public CreateFunctionRequest withTimeout(Integer timeout)

The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Parameters:
  `timeout` - The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMemorySize

    public void setMemorySize(Integer memorySize)

The amount of memory, in MB, your Lambda function is given. Lambda uses this memory size to infer the amount of CPU and memory allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

Parameters:
  `memorySize` - The amount of memory, in MB, your Lambda function is given. Lambda uses this memory size to infer the amount of CPU and memory allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

#### getMemorySize

    public Integer getMemorySize()

The amount of memory, in MB, your Lambda function is given. Lambda uses this memory size to infer the amount of CPU and memory allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

Returns:
  The amount of memory, in MB, your Lambda function is given. Lambda uses this memory size to infer the amount of CPU and memory allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

#### withMemorySize

    public CreateFunctionRequest withMemorySize(Integer memorySize)

The amount of memory, in MB, your Lambda function is given. Lambda uses this memory size to infer the amount of CPU and memory allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.

Parameters:
  `memorySize` - The amount of memory, in MB, your Lambda function is given. Lambda uses this memory size to infer the amount of CPU and memory allocated to your function. Your function use-case determines your CPU and memory requirements. For example, a database operation might need less memory compared to an image processing function. The default value is 128 MB. The value must be a multiple of 64 MB.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPublish

    public void setPublish(Boolean publish)

This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.

Parameters:
  `publish` - This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.

#### getPublish

    public Boolean getPublish()

This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.

Returns:
  This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.

#### withPublish

    public CreateFunctionRequest withPublish(Boolean publish)

This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.

Parameters:
  `publish` - This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isPublish

    public Boolean isPublish()

This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.

Returns:
  This boolean parameter can be used to request AWS Lambda to create the Lambda function and publish a version as an atomic operation.

#### setVpcConfig

    public void setVpcConfig(VpcConfig vpcConfig)

If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs. These must belong to the same VPC. You must provide at least one security group and one subnet ID.

Parameters:
  `vpcConfig` - If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs. These must belong to the same VPC. You must provide at least one security group and one subnet ID.

#### getVpcConfig

    public VpcConfig getVpcConfig()

If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs. These must belong to the same VPC. You must provide at least one security group and one subnet ID.

Returns:
  If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs. These must belong to the same VPC. You must provide at least one security group and one subnet ID.

#### withVpcConfig

    public CreateFunctionRequest withVpcConfig(VpcConfig vpcConfig)

If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs. These must belong to the same VPC. You must provide at least one security group and one subnet ID.

Parameters:
  `vpcConfig` - If your Lambda function accesses resources in a VPC, you provide this parameter identifying the list of security group IDs and subnet IDs. These must belong to the same VPC. You must provide at least one security group and one subnet ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeadLetterConfig

    public void setDeadLetterConfig(DeadLetterConfig deadLetterConfig)

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Parameters:
  `deadLetterConfig` - The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

#### getDeadLetterConfig

    public DeadLetterConfig getDeadLetterConfig()

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Returns:
  The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

#### withDeadLetterConfig

    public CreateFunctionRequest withDeadLetterConfig(DeadLetterConfig deadLetterConfig)

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Parameters:
  `deadLetterConfig` - The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnvironment

    public void setEnvironment(Environment environment)

Parameters:
  `environment` -

#### getEnvironment

    public Environment getEnvironment()

Returns:

#### withEnvironment

    public CreateFunctionRequest withEnvironment(Environment environment)

Parameters:
  `environment` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setKMSKeyArn

    public void setKMSKeyArn(String kMSKeyArn)

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key.

Parameters:
  `kMSKeyArn` - The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key.

#### getKMSKeyArn

    public String getKMSKeyArn()

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key.

Returns:
  The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key.

#### withKMSKeyArn

    public CreateFunctionRequest withKMSKeyArn(String kMSKeyArn)

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key.

Parameters:
  `kMSKeyArn` - The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If not provided, AWS Lambda will use a default service key.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateFunctionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`